{
  "name": "@openstapps/proxy",
  "description": "NGINX proxy that is dynamically configured by a Node.js script",
  "version": "3.0.0-next.0",
  "private": true,
  "type": "module",
  "license": "AGPL-3.0-only",
  "repository": "git@gitlab.com:openstapps/proxy.git",
  "author": "Anselm Rochus Stordeur <anselmstordeur@gmail.com>",
  "contributors": [
    "André Bierlein <andre.mt.bierlein@gmail.com>",
    "Benjamin Joeckel",
    "Jovan Krunic <jovan.krunic@gmail.com>",
    "Karl-Philipp Wulfert <krlwlfrt@gmail.com>",
    "Michel Jonathan Schmitz <michel.schmitz_1992@hotmail.com>",
    "Rainer Killinger <mail-openstapps@killinger.co>"
  ],
  "bin": "app.js",
  "files": [
    "app.js",
    "lib",
    "bin",
    "config",
    "fixtures",
    "systemd",
    "Dockerfile",
    ".dockerignore",
    "nginx.conf",
    "nginx.conf.template",
    "README.md",
    "CHANGELOG.md"
  ],
  "scripts": {
    "build": "tsup-node --dts",
    "build:docker": "docker build -t openstapps:proxy ../../.deploy/proxy",
    "deploy": "pnpm --prod --filter=@openstapps/proxy deploy ../../.deploy/proxy",
    "format": "prettier . -c --ignore-path ../../.gitignore",
    "format:fix": "prettier --write . --ignore-path ../../.gitignore",
    "lint": "eslint --ext .ts src/",
    "lint:fix": "eslint --fix --ext .ts src/",
    "test": "c8 mocha"
  },
  "dependencies": {
    "@openstapps/logger": "workspace:*",
    "@types/config": "3.3.0",
    "@types/dockerode": "3.3.17",
    "@types/node": "18.15.3",
    "@types/sha1": "1.1.3",
    "config": "3.3.9",
    "dockerode": "3.3.5",
    "is-cidr": "4.0.2",
    "mustache": "4.2.0",
    "semver": "7.3.8",
    "typescript": "4.9.5"
  },
  "devDependencies": {
    "@openstapps/api-cli": "workspace:*",
    "@openstapps/eslint-config": "workspace:*",
    "@openstapps/prettier-config": "workspace:*",
    "@openstapps/tsconfig": "workspace:*",
    "@types/chai": "4.3.5",
    "@types/config": "3.3.0",
    "@types/dockerode": "3.3.17",
    "@types/mocha": "10.0.1",
    "@types/mustache": "4.2.2",
    "@types/node": "18.15.3",
    "@types/proxyquire": "1.3.28",
    "@types/semver": "7.3.13",
    "@types/sha1": "1.1.3",
    "@types/sinon": "10.0.14",
    "@types/sinon-chai": "3.2.9",
    "c8": "7.14.0",
    "chai": "4.3.7",
    "mocha": "10.2.0",
    "mocha-junit-reporter": "2.2.0",
    "sinon": "15.0.4",
    "sinon-chai": "3.7.0",
    "ts-node": "10.9.1",
    "tsup": "6.7.0"
  },
  "tsup": {
    "entry": [
      "src/app.ts"
    ],
    "sourcemap": true,
    "clean": true,
    "format": "esm",
    "outDir": "lib"
  },
  "prettier": "@openstapps/prettier-config",
  "eslintConfig": {
    "extends": [
      "@openstapps"
    ]
  }
}
